#!/usr/bin/perl -w

# this test script tests the QueryData.pm module
use BigMac::QueryData;
print "ok\n";
# create an object of the class QueryData
my $bm=BigMac::QueryData->new;
# calling sense_defs subroutine 
# input is the word
#print "\nSenses for task - \n",scalar $bm->get_sense_defs("task");
scalar $bm->get_sense_defs("task") == 8 ? print "ok\n": print "not ok\n";

# calling the phrases subroutine which returns 
# the illustrative examples or phrases for the word
#print "\nIllustrative phrases for taste - \n",scalar $bm->get_phrases("taste");
scalar $bm->get_phrases("taste") == 6 ? print "ok\n": print "not ok\n";
# lists the topics associated with the word
#print "\nTopics for tax - \n",($bm->get_topics("tax"))[0];
($bm->get_topics("tax"))[0] eq "economics" ? print "ok\n": print "not ok\n";
# displays the usage of the word
#print "\nUsage for accelerator - \n", ($bm->get_usage("accelerator"))[0];
($bm->get_usage("accelerator"))[0] eq "Chemistry" ? print "ok\n": print "not ok\n";
# displays various forms of the word
#print "\nForms of taxi - \n",scalar $bm->get_forms("taxi");
scalar $bm->get_forms("taxi") == 0? print "ok\n": print "not ok\n";
# displays the POS information of the word
#print "\nPOS for target - \n",($bm->get_pos("target"))[0];
($bm->get_pos("target"))[0] eq "noun" ? print "ok\n": print "not ok\n";
# displays the pronounciation
#print "\nPronounciations for accelerator - \n",scalar $bm->get_pron("accelerator");
scalar $bm->get_pron("accelerator") == 2 ? print "ok\n": print "not ok\n";
# lists all the variants 
#print "\nVariants of accelerator - \n",scalar $bm->get_variants("accelerator");
scalar $bm->get_variants("accelerator") == 1 ? print "ok\n": print "not ok\n";
# displays the abbreviations for the word
#print "\nAbbreviations for Amplitude Modulation- \n",($bm->get_abbreviations("amplitude modulation"))[0];
($bm->get_abbreviations("amplitude modulation"))[0] eq "AM" ? print "ok\n": print "not ok\n";
# displays the prepositions which come with the word
#print "\nCommon Prepositions coming with angry - \n", scalar $bm->get_contexts("angry");
scalar $bm->get_contexts("angry") == 4 ? print "ok\n": print "not ok\n";
# displays the cross references
#print "\nCross-References with area school- \n",($bm->get_references("area school"))[0];
($bm->get_references("area school"))[0] eq "central school" ? print "ok\n": print "not ok\n";
# lists all the words with the given topic
#print "\nAll words for Topic Computers - \n",scalar $bm->get_words_for_topic("computers");
scalar $bm->get_words_for_topic("computers") == 479 ? print "ok\n": print "not ok\n";
# displays the thesaurus entry for the word
#print "\nThesaurus Entry for accelerator - \n",scalar $bm->get_thes("accelerator");
#scalar $bm->get_thes("accelerator") == 6 ? print "ok\n": print "not ok\n";
# displays the words with given POS
#print "\nWords with POS = noun \n", join " ",scalar $bm->get_words_given_pos("noun");
scalar $bm->get_words_given_pos("noun") == 93731 ? print "ok\n": print "not ok\n";
#displays all the nouns
#print "\nAll Nouns- \n", join " ",$bm->get_nouns();
scalar $bm->get_nouns()== 93731 ? print "ok\n": print "not ok\n";
#displays all the verbs 
#print "\nAll Verbs- \n", join " ",$bm->get_verbs();
scalar $bm->get_verbs()== 23361 ? print "ok\n": print "not ok\n";
# displays all the adjectives
#print "\nAll adjectives - \n", join " ",$bm->get_adjs();
scalar $bm->get_adjs()== 25145 ? print "ok\n": print "not ok\n";
# displays all the nouns with a given letter
#print "\nNouns starting with f - \n",scalar $bm->get_nouns_given_letter("f");
scalar $bm->get_nouns_given_letter("f") == 3312 ? print "ok\n": print "not ok\n";
# displays all the verbs with a given letter
#print "\nVerbs starting with f - \n",scalar $bm->get_verbs_given_letter("f");
scalar $bm->get_verbs_given_letter("f") == 1101 ? print "ok\n": print "not ok\n";
# displays all the adjs with a given letter
#print "\nAdjectives starting with f - \n",scalar $bm->get_adjs_given_letter("f");
scalar $bm->get_adjs_given_letter("f") == 1002 ? print "ok\n": print "not ok\n";

#print "\nAll words which have given set of words in their definitions -\n",$bm->get_words_given_words_in_def("book");
scalar $bm->get_words_given_words_in_def("book") == 776 ? print "ok\n": print "not ok\n";
#get all the words which have the same thes code as the given word
#print "\nAll words which have the same thes code as the given word -\n",$bm->get_words_given_word_thes("dog");  
#scalar $bm->get_words_given_words_in_def("book") == 776 ? print "ok\n": print "not ok\n";
#get thes code
#print "\nThes Codes for 'good'-\n ", join " ", $bm->get_thes_code("good");
scalar $bm->get_thes_code("good") == 45 ? print "ok\n": print "not ok\n";
#%pos_tags=$bm->get_all_pos();
#%topics=$bm->get_all_topics();
